/* 
 * Copyright (c) 2011, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
/*
 *  ======== ILoggerMFP.xdc ========
 */

/*! 
 *  ======== ILoggerMFP ========
 *  Extension of ILogger interface to allow more control of Log output.
 */
interface ILoggerMFP inherits xdc.runtime.ILogger
{
    /*!
     *  ======== Cmd ========
     *  Commands that can be sent to control function.
     */
    enum Cmd {
        SETTRACE = 0 /*! Set the trace output format based on the arg data
                      *  passed to the control() function.
                      */
    };

    /*!
     *  ======== control ========
     *  A hook for sending commands to the logger. For example, this can
     *  be used to re-configure the timestamp display format.
     *
     *  @param(cmd)         control command
     *  @param(cmdArgs)     command argument
     */
    Void control(Int cmd, UArg cmdArgs);
}
/*
 *  @(#) ti.sdo.utils.loggers; 1, 0, 0,1; 7-20-2011 13:37:50; /db/atree/library/trees/osal/osal-d08/src/ xlibrary

 */

